=== debian/changelog ===
libkscreen (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:48:28 +0200

libkscreen (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:21 +0100

libkscreen (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:46 +0100

libkscreen (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:54:43 +0100

libkscreen (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:24 +0100

libkscreen (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:30 +0100

libkscreen (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:55 +0100

libkscreen (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:53 +0100
