## libkscreen 5.23.3

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
+           Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
-               libkf5wayland-dev (>= 4:5.82.0~),
-               libqt5x11extras5-dev (>= 5.15~),
+               extra-cmake-modules (>= 5.86~),
+               libkf5wayland-dev (>= 4:5.86~) [linux-any],
+               libqt5x11extras5-dev (>= 5.15.0~),
                libx11-dev,
                libx11-xcb-dev,
                libxcb-randr0-dev,
@@ -17,19 +17,19 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.32~),
-               qtbase5-dev (>= 5.15~),
+               plasma-wayland-protocols (>= 1.4.0~),
+               qtbase5-dev (>= 5.15.0~),
+               qtwayland5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/libkscreen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkscreen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkscreen.git
 Rules-Requires-Root: no
 
 Package: libkf5screen-bin
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5screen7 (<< 4:5.20.4-2~)
-Replaces: libkf5screen7 (<< 4:5.20.4-2~)
 Description: library for screen management - helpers
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
@@ -41,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5screen7 (= ${binary:Version}),
-         qtbase5-dev (>= 5.15~),
+         qtbase5-dev (>= 5.15.0~),
          ${misc:Depends},
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
