## libkscreen 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(libkscreen)
-set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION "5.24.4")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -23,15 +24,27 @@
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
 include(KDEClangFormat)
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    include(KDEGitCommitHooks)
-endif()
+include(KDEGitCommitHooks)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Gui Test X11Extras)
+find_package(QtWaylandScanner REQUIRED)
+find_package(WaylandScanner)
 
 # Wayland backend
 find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG REQUIRED)
 add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")
+
+find_package(PlasmaWaylandProtocols 1.6.0 CONFIG)
+set_package_properties(PlasmaWaylandProtocols PROPERTIES TYPE REQUIRED)
+
+# Wayland backend
+find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG REQUIRED)
+add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")
+
+find_package(Wayland 1.15 COMPONENTS Client)
+set_package_properties(Wayland PROPERTIES
+                       TYPE REQUIRED
+                      )
 
 # xrandr backend
 
@@ -62,9 +75,7 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 
 if (BUILD_QCH)
