=== debian/changelog ===
libkscreen (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:41 +0100

libkscreen (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:14 +0000

libkscreen (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:19 +0000

libkscreen (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:43 +0000

libkscreen (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:53 +0000

libkscreen (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:18 +0000

libkscreen (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:07 +0000

libkscreen (4:5.23.4-0ubuntu2) jammy; urgency=medium

  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 31 Dec 2021 13:51:45 +0000

libkscreen (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:13 +0000

libkscreen (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:18:20 +0000

libkscreen (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:50:43 +0000

libkscreen (4:5.23.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps.
    - libwayland-bin, libwayland-dev, plasma-wayland-protocols,
      qtwayland5-dev-tools
  * Update symbols from build logs.
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:52:48 +0100
