=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libkscreen
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <deltaone@debian.org>,
+           Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
-               libkf5wayland-dev (>= 4:5.86~) [linux-any],
+               extra-cmake-modules (>= 5.90.0~),
+               libkf5wayland-dev (>= 4:5.90.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
+               libwayland-bin,
+               libwayland-dev (>= 1.15~),
                libx11-dev,
                libx11-xcb-dev,
                libxcb-randr0-dev,
@@ -22,14 +25,16 @@
                qtwayland5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/libkscreen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkscreen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkscreen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
 Rules-Requires-Root: no
 
 Package: libkf5screen-bin
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5screen7 (<< 4:5.20.4-2~)
+Replaces: libkf5screen7 (<< 4:5.20.4-2~)
 Description: library for screen management - helpers
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
