=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
-               libkf5wayland-dev (>= 4:5.90.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
-               libwayland-bin,
-               libwayland-dev (>= 1.15~),
+               extra-cmake-modules (>= 5.94~),
+               libkf5wayland-dev (>= 4:5.94~) [linux-any],
+               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
+               libqt5x11extras5-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb-randr0-dev,
@@ -20,10 +20,10 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.32~),
-               plasma-wayland-protocols (>= 1.4.0~),
-               qtbase5-dev (>= 5.15.0~),
+               plasma-wayland-protocols (>= 1.6.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/libkscreen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
@@ -33,8 +33,6 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5screen7 (<< 4:5.20.4-2~)
-Replaces: libkf5screen7 (<< 4:5.20.4-2~)
 Description: library for screen management - helpers
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
@@ -46,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5screen7 (= ${binary:Version}),
-         qtbase5-dev (>= 5.15.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
