## libkscreen 5.27.4

=== debian/changelog ===
libkscreen (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:18 +0100

libkscreen (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:47 +0000

libkscreen (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:32 +0000

libkscreen (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:15 +0000

libkscreen (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)
  * libkf5screen-data Break/Replaces libkf5screen7 (<< 4:5.27.0~)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:17 +0000

libkscreen (4:5.26.90-3) unstable; urgency=medium

  * Add patch to support consumers using less than c++17 (thanks Sune Vuorela).
  * Add patch to restore a transitive include fixing FTBFS in downstream
    packages (thanks Sune Vuorela, closes: #1029611).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Jan 2023 23:07:51 +0100

libkscreen (4:5.26.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:53 +0100

libkscreen (4:5.26.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch Make-kwayland-optional.patch.
  * Bump Standards-Version to 4.6.2, no change required.
  * Bump soname of libkf5screen to 8.
  * Add libkf5screendpms8 library package.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.26.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 01:38:34 +0100

libkscreen (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:38 +0100

libkscreen (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:00:04 +0100

libkscreen (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:42:56 +0100

libkscreen (4:5.26.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Nov 2022 00:49:57 +0100

libkscreen (4:5.26.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).
  * Update build-deps and deps with the info from cmake.
  * Add libkf5screen-data package for the localization files.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 01 Nov 2022 22:15:00 +0100

libkscreen (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:01 +0200

libkscreen (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch Make-kwayland-optional.patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:21 +0200

libkscreen (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Sep 2022 20:14:02 +0200

libkscreen (4:5.25.4-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * rules: switch from "egrep" to "grep -E", as the former has been deprecated
    for many years.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * copyright: remove extra empty line at the beginning of the file.
  * Restrict the qtwayland5-dev-tools build dependency as linux-any, as done
    for the other Wayland-related build dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Sep 2022 09:06:39 +0200
