=== debian/control ===
--- 
+++ 
@@ -4,26 +4,29 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
-               libkf5wayland-dev (>= 4:5.94~) [linux-any],
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5wayland-dev (>= 4:5.101.0~) [linux-any],
                libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
                libqt5x11extras5-dev,
                libx11-dev,
                libx11-xcb-dev,
+               libxcb-dpms0-dev,
                libxcb-randr0-dev,
                libxcb1-dev,
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.32~),
-               plasma-wayland-protocols (>= 1.6.0~),
+               plasma-wayland-protocols (>= 1.10~),
                qtbase5-dev (>= 5.15.2~),
-               qtwayland5-dev-tools,
-Standards-Version: 4.6.1
+               qtbase5-private-dev,
+               qttools5-dev,
+               qtwayland5-dev-tools [linux-any],
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/libkscreen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
@@ -40,10 +43,24 @@
  .
  This package contains the library helpers and the corresponding D-Bus service.
 
+Package: libkf5screen-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5screen7 (<< 4:5.27.0~)
+Replaces: libkf5screen7 (<< 4:5.27.0~)
+Description: library for screen management - data files
+ The KDE multiple monitor support is trying be as smart as possible
+ adapting the behavior of it to each use case making the configuration
+ of monitors as simple as plugging them to your computer.
+ .
+ This package contains data files.
+
 Package: libkf5screen-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5screen7 (= ${binary:Version}),
+Depends: libkf5screen8 (= ${binary:Version}),
+         libkf5screendpms8 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: library for screen management - development files
@@ -53,10 +70,12 @@
  .
  This package contains the files necessary for development.
 
-Package: libkf5screen7
+Package: libkf5screen8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libkf5screen-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: hwdata
 Description: library for screen management - shared library
  The KDE multiple monitor support is trying be as smart as possible
@@ -64,3 +83,16 @@
  of monitors as simple as plugging them to your computer.
  .
  This package contains the shared library
+
+Package: libkf5screendpms8
+Architecture: any
+Multi-Arch: same
+Depends: libkf5screen-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for screen management - dpms support library
+ The KDE multiple monitor support is trying be as smart as possible
+ adapting the behavior of it to each use case making the configuration
+ of monitors as simple as plugging them to your computer.
+ .
+ This package contains the dpms support shared library
