## libkscreen 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(libkscreen)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.27.5")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.86")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -20,26 +20,28 @@
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddQch)
+include(ECMPoQmTools)
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Gui Test X11Extras)
-find_package(QtWaylandScanner REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Gui Test WaylandClient)
+if (QT_MAJOR_VERSION EQUAL "5")
+  find_package(Qt5 CONFIG REQUIRED X11Extras)
+  find_package(QtWaylandScanner REQUIRED)
+endif()
 find_package(WaylandScanner)
 
 # Wayland backend
 find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG REQUIRED)
 add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")
+find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
-find_package(PlasmaWaylandProtocols 1.6.0 CONFIG)
+find_package(PlasmaWaylandProtocols 1.10.0 CONFIG)
 set_package_properties(PlasmaWaylandProtocols PROPERTIES TYPE REQUIRED)
-
-# Wayland backend
-find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG REQUIRED)
-add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for building libkscreen's KWayland backend")
 
 find_package(Wayland 1.15 COMPONENTS Client)
 set_package_properties(Wayland PROPERTIES
@@ -48,7 +50,7 @@
 
 # xrandr backend
 
-find_package(XCB COMPONENTS XCB RANDR)
+find_package(XCB COMPONENTS XCB RANDR DPMS)
 set_package_properties(XCB PROPERTIES
                        TYPE OPTIONAL
                        PURPOSE "Required for building XRandR backends"
@@ -57,11 +59,21 @@
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
+find_program(JQ NAMES "jq" DOC "jq is used in zsh completion script")
+if(JQ)
+  message(STATUS "Found jq executable: ${JQ}")
+else()
+  message(WARNING "jq executable not found, zsh completions won't work at their full capacity")
+endif()
 
 ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREEN
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
-                        SOVERSION 7)
+                        SOVERSION 8)
+
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
 
 add_subdirectory(src)
 add_subdirectory(backends)
@@ -70,7 +82,9 @@
    add_subdirectory(tests)
 endif()
 
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Screen")
+ecm_install_po_files_as_qm(poqm)
+
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Screen")
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
@@ -110,10 +124,9 @@
 
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
-  DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
+  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
   COMPONENT Devel
 )
-install(FILES libkscreen.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-
+ecm_qt_install_logging_categories(EXPORT KSCREEN KSCREEN_DPMS KSCREEN_EDID FILE libkscreen.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
